Loading...
Searching...
No Matches
Opm::AMGHelper< Operator, Comm, Matrix, Vector > Struct Template Reference

## Public Types

using | PrecPtr = std::shared_ptr<Dune::PreconditionerWithUpdate<Vector, Vector>>
using | CriterionBase = Dune::Amg::AggregationCriterion<Dune::Amg::SymmetricDependency<Matrix, Dune::Amg::FirstDiagonal>>
using | Criterion = Dune::Amg::CoarsenCriterion<CriterionBase>

## Static Public Member Functions

static Criterion | criterion (const PropertyTree &prm)
template<class Smoother>
static PrecPtr | makeAmgPreconditioner (const Operator &op, const PropertyTree &prm, bool useKamg=false)

The documentation for this struct was generated from the following files:

- opm/simulators/linalg/PreconditionerFactory.hpp
- opm/simulators/linalg/StandardPreconditioners_mpi.hpp